ayu
4 months ago
576
4
Servers

Homestead: First Time Setup - Npm error

Posted 4 months ago by ayu

I have just installed Homestead with vagrant and virtualbox for the first time. My operating system is Windows. The installation worked without problems. Now I have executed the command "npm install" via command line (git bash) and received the following error message.

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected] (node_modules/fsevents):
npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for [email protected]: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

npm ERR! path ../@babel/parser/bin/babel-parser.js
npm ERR! code EIO
npm ERR! errno -5
npm ERR! syscall symlink
npm ERR! EIO: i/o error, symlink '../@babel/parser/bin/babel-parser.js' -> '/home/vagrant/code/liveeasy/node_modules/.bin/parser'

npm ERR! A complete log of this run can be found in:
npm ERR!     /home/vagrant/.npm/_logs/2019-05-29T15_18_35_562Z-debug.log

Unfortunately, Google did not find any helpful results.

For any help, I would be very grateful.

Please sign in or create an account to participate in this conversation.